Package icyllis.arc3d.compiler.tree

# Class GlobalVariableDecl

java.lang.Object
icyllis.arc3d.compiler.tree.Node
icyllis.arc3d.compiler.tree.TopLevelElement
icyllis.arc3d.compiler.tree.GlobalVariableDecl

public final class GlobalVariableDecl extends TopLevelElement
A variable declaration appearing at global scope. A global declaration like 'int x, y;' produces two GlobalVariableDecl elements, each containing the declaration of one variable.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.compiler.tree.Node

  `Node.ElementKind, Node.ExpressionKind, Node.StatementKind, Node.SymbolKind`

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.compiler.tree.Node

  `mPosition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalVariableDecl(VariableDecl decl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(TreeVisitor visitor)`
  Visit this AST with a given visitor.
  `Node.ElementKind`
  `getKind()`
  `VariableDecl`
  `getVariableDecl()`
  `String`
  `toString()`

  ### Methods inherited from class icyllis.arc3d.compiler.tree.Node

  `getEndOffset, getStartOffset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GlobalVariableDecl

    public GlobalVariableDecl(@Nonnull VariableDecl decl)

- ## Method Details

  - ### getVariableDecl

    public VariableDecl getVariableDecl()

  - ### getKind

    public Node.ElementKind getKind()
    Specified by:
      `getKind` in class `TopLevelElement`
    See Also:
      - `Node.ElementKind`

  - ### accept

    public boolean accept(@Nonnull TreeVisitor visitor)
    Description copied from class: `Node`
    Visit this AST with a given visitor.
    Specified by:
      `accept` in class `Node`
    Returns:
      true to stop recursion and propagate true up the stack, false to continue

  - ### toString

    @Nonnull public String toString()
    Specified by:
      `toString` in class `Node`
    Returns:
      a string representation of this AST node